org.apache.commons.collections4.multiset

## Class AbstractMapMultiSet.MultiSetEntry<E>

- java.lang.Object
- - org.apache.commons.collections4.multiset.AbstractMultiSet.AbstractEntry<E>
  - - org.apache.commons.collections4.multiset.AbstractMapMultiSet.MultiSetEntry<E>

- All Implemented Interfaces:
    MultiSet.Entry<E>
  Enclosing class:
    AbstractMapMultiSet<E>

      protected static class AbstractMapMultiSet.MultiSetEntry<E>
      extends AbstractMultiSet.AbstractEntry<E>

  Inner class MultiSetEntry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map.Entry<E,AbstractMapMultiSet.MutableInteger>` | `parentEntry`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiSetEntry(Map.Entry<E,AbstractMapMultiSet.MutableInteger> parentEntry)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Returns the number of occurrences for the element of this entry.
    `E` | `getElement()` Returns the element corresponding to this entry.

    - ### Methods inherited from class org.apache.commons.collections4.multiset.AbstractMultiSet.AbstractEntry

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parentEntry

          protected final Map.Entry<E,AbstractMapMultiSet.MutableInteger> parentEntry

  - ### Constructor Detail

    - #### MultiSetEntry

          protected MultiSetEntry(Map.Entry<E,AbstractMapMultiSet.MutableInteger> parentEntry)

      Constructor.
      Parameters:
        `parentEntry` - the entry to decorate

  - ### Method Detail

    - #### getElement

          public E getElement()

      Description copied from interface: `MultiSet.Entry`
      Returns the element corresponding to this entry.
      Returns:
        the element corresponding to this entry

    - #### getCount

          public int getCount()

      Description copied from interface: `MultiSet.Entry`
      Returns the number of occurrences for the element of this entry.
      Returns:
        the number of occurrences of the element

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.